Get trending Web Vitals for a browser monitor.
GET
/browser_check/{check_id}/vitals
const url = 'https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vitals';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vitals \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” check_id
required
string format: uuid
Browser monitor identifier
Query Parameters
Section titled “Query Parameters ” region
string
Filter by region
hours
integer format: int32
Lookback window in hours (default 24)
Responses
Section titled “ Responses ”Time-bucketed Web Vitals trends
Missing or invalid authentication
Browser monitor not found
Internal server error